// PROCEDIMIENTOS EN JAVASCRIPT
var ventanaCalendario=false
function muestraCalendario(raiz,formulario_destino,campo_destino,mes_destino,ano_destino){
	//funcion para abrir una ventana con un calendario.
	//Se deben indicar los datos del formulario y campos que se desean editar con el calendario, es decir, los campos donde va la fecha.
	if (typeof ventanaCalendario.document == "object") {
		ventanaCalendario.close()
	}
	ventanaCalendario = window.open("calendario/index.php?formulario=" + formulario_destino + "&nomcampo=" + campo_destino,"calendario","width=300,height=300,left=100,top=100,scrollbars=no,menubars=no,statusbar=NO,status=NO,resizable=YES,location=NO")
}
function abrir_prestaciones(tip,ced) {
	if (tip==1) window.open("prestaciones_adelantos.php?cedula="+ced, "",  "toolbar=no, menubar=no, location=no, scrollbars=yes ,height=500 ,width=600, left=100, top=100, resizable=no");
	if (tip==2) window.open("prestaciones_deducciones.php?cedula="+ced, "",  "toolbar=no, menubar=no, location=no, scrollbars=yes ,height=500 ,width=600, left=100, top=100, resizable=no");
	if (tip==3) window.open("prestaciones_vacaciones.php?cedula="+ced, "",  "toolbar=no, menubar=no, location=no, scrollbars=yes ,height=500 ,width=600, left=100, top=100, resizable=no");
	if (tip==4) window.open("prestaciones_utilidades.php?cedula="+ced, "",  "toolbar=no, menubar=no, location=no, scrollbars=yes ,height=500 ,width=600, left=100, top=100, resizable=no");
	if (tip==5) window.open("prestaciones_prestaciones.php?accion=1&cedula="+ced, "",  "toolbar=no, menubar=no, location=no, scrollbars=yes ,height=600 ,width=900, left=100, top=100, resizable=no");
}
function validar_cedula(formulario) {
  checkStr = formulario.cedula.value;
	if (checkStr.length==0) {
		alert("Debe introducir CEDULA...");
		formulario.cedula.focus();
		return (false);
	}
	for (i = 0; i < 8 - checkStr.length; i++)
	formulario.cedula.value="0"+formulario.cedula.value;
}
function verificar_cedula(form) {
	checkOK = "0123456789";
	linea = "";
	if (form.cedula.value.length!=0) {
		for (i = 0; i < form.cedula.value.length; i++) {
			ch = form.cedula.value.charAt(i);
			for (j = 0; j < checkOK.length; j++)
				if (ch == checkOK.charAt(j)) linea = linea + ch;
			}
		form.cedula.value=linea;
	}
	if (form.cedula.value!="") form.procesar.disabled=false;
	else form.procesar.disabled=true;
 }

 // --------------------------------------------------------------------------------------- //
// SCRIPT PARA VALIDAR USUARIOEN CAMPOS
function validar_usuario(formulario) {
  checkStr = formulario.usuario.value;
	if (checkStr.length==0) {
		alert("Debe introducir USUARIO...");
		formulario.usuario.focus();
		return (false);
	}
  checkStr = formulario.clave.value;
	if (checkStr.length==0) {
		alert("Debe introducir CLAVE...");
		formulario.clave.focus();
		return (false);
	}
  checkStr = formulario.detalle.value;
	if (checkStr.length==0) {
		alert("Debe introducir DETALLE...");
		formulario.detalle.focus();
		return (false);
	}
}

// --------------------------------------------------------------------------------------- //
// SCRIPT PARA VALIDAR CODIGO de 4 DIGITOS EN CAMPOS
function validar_codigo(formulario) {
  checkStr = formulario.codigo.value;
	if (checkStr.length==0) {
		alert("Debe introducir CODIGO...");
		formulario.codigo.focus();
		return (false);
	}
	for (i = 0; i < 4 - checkStr.length; i++)
	formulario.codigo.value="0"+formulario.codigo.value;
}
function verificar_codigo(form) {
	checkOK = "0123456789";
	linea = "";
	if (form.codigo.value.length!=0) {
		for (i = 0; i < form.codigo.value.length; i++) {
			ch = form.codigo.value.charAt(i);
			for (j = 0; j < checkOK.length; j++)
				if (ch == checkOK.charAt(j)) linea = linea + ch;
			}
		form.codigo.value=linea;
	}
	if (form.codigo.value!="") form.procesar.disabled=false;
	else form.procesar.disabled=true;
}

// --------------------------------------------------------------------------------------- //
// SCRIPT PARA VALIDAR CODIGO de 4 DIGITOS EN CAMPOS
function validar_operador(formulario) {
  checkStr = formulario.codigo.value;
	if (checkStr.length==0) {
		alert("Debe introducir OPERADOR...");
		formulario.codigo.focus();
		return (false);
	}
}
function verificar_operador(form) {
	if (form.codigo.value!="") form.procesar.disabled=false;
	else form.procesar.disabled=true;
}

// --------------------------------------------------------------------------------------- //
// SCRIPT PARA VALIDAR CODIGO NOMINA EN CAMPOS
function validar_nomina2(formulario) {
  checkStr = formulario.nomina.value;
	if (checkStr.length==0) {
		alert("Debe introducir NOMINA...");
		formulario.nomina.focus();
		return (false);
	}
	for (i = 0; i < 3 - checkStr.length; i++)
	formulario.nomina.value="0"+formulario.nomina.value;
}
function verificar_nomina2(form) {
	checkOK = "0123456789";
	linea = "";
	if (form.nomina.value.length!=0) {
		for (i = 0; i < form.nomina.value.length; i++) {
			ch = form.nomina.value.charAt(i);
			for (j = 0; j < checkOK.length; j++)
				if (ch == checkOK.charAt(j)) linea = linea + ch;
			}
		form.nomina.value=linea;
	}
	if (form.nomina.value!="") form.procesar.disabled=false;
	else form.procesar.disabled=true;
}

// --------------------------------------------------------------------------------------- //
// SCRIPT PARA VALIDAR CODIGO NOMINA EN CAMPOS
function validar_codconcepto(formulario) {
  checkStr = formulario.f_COD_CON.value;
	if (checkStr.length==0) {
		alert("Debe introducir CODIGO DE CONCEPTO...");
		formulario.f_COD_CON.focus();
		return (false);
	}
	for (i = 0; i < 4 - checkStr.length; i++)
	formulario.f_COD_CON.value="0"+formulario.f_COD_CON.value;
}
function verificar_codconcepto(form) {
	checkOK = "0123456789";
	linea = "";
	if (form.f_COD_CON.value.length!=0) {
		for (i = 0; i < form.f_COD_CON.value.length; i++) {
			ch = form.f_COD_CON.value.charAt(i);
			for (j = 0; j < checkOK.length; j++)
				if (ch == checkOK.charAt(j)) linea = linea + ch;
			}
		form.f_COD_CON.value=linea;
	}
	if (form.f_COD_CON.value!="") form.procesar.disabled=false;
	else form.procesar.disabled=true;
}
function verificar_monto(form) {
	checkOK = "0123456789";
	linea = "";
	paso=0;
	if (form.monto.value.length!=0) {
		for (i = 0; i < form.monto.value.length; i++) {
			ch = form.monto.value.charAt(i);
			for (j = 0; j < checkOK.length; j++)
				if (ch == checkOK.charAt(j)) linea = linea + ch;
				else if((ch == '.') && !paso) {
					paso = 1;
					linea = linea + ch;
				}
			}
		form.monto.value=linea;
	}
	if (form.monto.value!="") form.procesar.disabled=false;
	else form.procesar.disabled=true;
}

// --------------------------------------------------------------------------------------- //
// SCRIPT PARA VALIDAR CODIGO NOMINA EN CAMPOS
function verificar_nomina(form) {
	checkOK = "0123456789";
	linea = "";
	if (form.codigo.value.length!=0) {
		for (i = 0; i < form.codigo.value.length; i++) {
			ch = form.codigo.value.charAt(i);
			for (j = 0; j < checkOK.length; j++)
				if (ch == checkOK.charAt(j)) linea = linea + ch;
			}
		form.codigo.value=linea;
	}
	if (form.codigo.value!="") form.procesar.disabled=false;
	else form.procesar.disabled=true;
}

// --------------------------------------------------------------------------------------- //
// SCRIPT PARA VALIDAR PERIODO EN CAMPOS
function validar_periodo(formulario) {
  checkStr = formulario.periodo.value;
	if (checkStr.length==0) {
		alert("Debe introducir PERIODO...");
		formulario.periodo.focus();
		return (false);
	}
	for (i = 0; i < 3 - checkStr.length; i++)
	formulario.periodo.value="0"+formulario.periodo.value;
}
 function verificar_periodo(form) {
	checkOK = "0123456789";
	linea = "";
	if (form.periodo.value.length!=0) {
		for (i = 0; i < form.periodo.value.length; i++) {
			ch = form.periodo.value.charAt(i);
			for (j = 0; j < checkOK.length; j++)
				if (ch == checkOK.charAt(j)) linea = linea + ch;
			}
		form.periodo.value=linea;
	}
	if (form.periodo.value!="") form.procesar.disabled=false;
	else form.procesar.disabled=true;
}

// --------------------------------------------------------------------------------------- //
// SCRIPT PARA VALIDAR DETALLE y PERIODO EN NOMINA
function validar_codigo_detalle_periodo(formulario) {
  checkStr1 = formulario.codigo.value;
  checkStr2 = formulario.detalle.value;
  checkStr3 = formulario.periodo.value;
  if (checkStr1.length==0) {
		alert("Debe introducir CODIGO...");
		formulario.codigo.focus();
		return (false);
	}
	if (checkStr2.length==0) {
		alert("Debe introducir DETALLE...");
		formulario.detalle.focus();
		return (false);
	}
	if (checkStr3.length==0) {
		alert("Debe introducir PERIODO...");
		formulario.periodo.focus();
		return (false);
	}
	for (i = 0; i < 3 - checkStr1.length; i++)
		formulario.codigo.value="0"+formulario.codigo.value;
	for (i = 0; i < 3 - checkStr3.length; i++)
		formulario.periodo.value="0"+formulario.periodo.value;
}

// --------------------------------------------------------------------------------------- //
// SCRIPT PARA VALIDAR DETALLE y PERIODO EN NOMINA
function validar_detalle_monto(formulario) {
  checkStr1 = formulario.codigo.value;
  checkStr2 = formulario.detalle.value;
  checkStr3 = formulario.periodo.value;
  if (checkStr1.length==0) {
		alert("Debe introducir CODIGO...");
		formulario.codigo.focus();
		return (false);
	}
	if (checkStr2.length==0) {
		alert("Debe introducir DETALLE...");
		formulario.detalle.focus();
		return (false);
	}
	if (checkStr3.length==0) {
		alert("Debe introducir PERIODO...");
		formulario.periodo.focus();
		return (false);
	}
	for (i = 0; i < 3 - checkStr1.length; i++)
		formulario.codigo.value="0"+formulario.codigo.value;
	for (i = 0; i < 3 - checkStr3.length; i++)
		formulario.periodo.value="0"+formulario.periodo.value;
}

// --------------------------------------------------------------------------------------- //
// SCRIPT PARA VALIDAR DETALLE y PERIODO EN NOMINA
function validar_prestamo(formulario) {
  checkStr1 = formulario.detalle.value;
  checkStr2 = formulario.monto.value;
  checkStr3 = formulario.interes.value;
  checkStr4 = formulario.cuota.value;
  if (checkStr1.length==0) {
		alert("Debe introducir DETALLE...");
		formulario.detalle.focus();
		return (false);
	}
	if (checkStr2.length==0) {
		alert("Debe introducir MONTO...");
		formulario.monto.focus();
		return (false);
	}
	if (checkStr3.length==0) {
		alert("Debe introducir INTERES...");
		formulario.interes.focus();
		return (false);
	}
	if (checkStr4.length==0) {
		alert("Debe introducir CUOTA...");
		formulario.cuota.focus();
		return (false);
	}
}

// --------------------------------------------------------------------------------------- //
// SCRIPT PARA VALIDAR CEDULA , NOMBRE Y APELLIDO EN NOMINA
function validar_cedula_nombre_apellido(formulario) {
  checkStr1 = formulario.cedula.value;
  checkStr2 = formulario.nombres.value;
  checkStr3 = formulario.apellidos.value;
  checkStr4 = formulario.smes.value;
  checkStr5 = formulario.sector.value;
  checkStr6 = formulario.fecing.value;
  checkStr7 = formulario.departamento.value;
  checkStr8 = formulario.unidad.value;
  checkStr9 = formulario.cargo.value;

  if (checkStr1.length==0) {
		alert("Debe introducir CEDULA...");
		formulario.cedula.focus();
		return (false);
	}
	if (checkStr2.length==0) {
		alert("Debe introducir NOMBRE...");
		formulario.nombres.focus();
		return (false);
	}
	if (checkStr3.length==0) {
		alert("Debe introducir APELLIDO...");
		formulario.apellidos.focus();
		return (false);
	}
	if (checkStr4.length==0) {
		alert("Debe introducir SUELDO...");
		formulario.smes.focus();
		return (false);
	}
	if (checkStr5.length==0) {
		alert("Debe introducir Tipo de Salario...");
		formulario.sector.focus();
		return (false);
	}
	if (checkStr6.length==0) {
		alert("Debe introducir FECHA DE INGRESO...");
		formulario.fecing.focus();
		return (false);
	}
	if (checkStr7.length==0) {
		alert("Debe introducir DEPARTAMENTO...");
		formulario.departamento.focus();
		return (false);
	}
	if (checkStr8.length==0) {
		alert("Debe introducir UNIDAD...");
		formulario.unidad.focus();
		return (false);
	}
	if (checkStr9.length==0) {
		alert("Debe introducir CARGO...");
		formulario.cargo.focus();
		return (false);
	}


	for (i = 0; i < 8 - checkStr1.length; i++)
	formulario.cedula.value="0"+formulario.cedula.value;
}

// --------------------------------------------------------------------------------------- //
// SCRIPT PARA VALIDAR CEDULA , NOMBRE Y APELLIDO EN NOMINA
function validar_trabajador_prestaciones(formulario) {
  checkStr1 = formulario.cedula.value;
  checkStr2 = formulario.nombres.value;
  checkStr3 = formulario.apellidos.value;
  checkStr4 = formulario.fechai.value;
  if (checkStr1.length==0) {
		alert("Debe introducir CEDULA...");
		formulario.cedula.focus();
		return (false);
	}
	if (checkStr2.length==0) {
		alert("Debe introducir NOMBRE...");
		formulario.nombres.focus();
		return (false);
	}
	if (checkStr3.length==0) {
		alert("Debe introducir APELLIDO...");
		formulario.apellidos.focus();
		return (false);
	}
	if (checkStr4.length==0) {
		alert("Debe introducir FECHA DE INGRESO...");
		formulario.fechai.focus();
		return (false);
	}
	for (i = 0; i < 8 - checkStr1.length; i++)
	formulario.cedula.value="0"+formulario.cedula.value;
}

// --------------------------------------------------------------------------------------- //
// SCRIPT PARA VALIDAR CODIGO, DETALLE Y FORMULA EN NOMINA
function validar_codigo_detalle_formula(formulario) {
  checkStr1 = formulario.codigo.value;
  checkStr2 = formulario.detalle.value;
  checkStr3 = formulario.formula.value;
  if (checkStr1.length==0) {
		alert("Debe introducir CODIGO...");
		formulario.codigo.focus();
		return (false);
	}
	if (checkStr2.length==0) {
		alert("Debe introducir DETALLE...");
		formulario.detalle.focus();
		return (false);
	}
	if (checkStr3.length==0) {
		alert("Debe introducir FORMULA...");
		formulario.formula.focus();
		return (false);
	}
	for (i = 0; i < 4 - checkStr1.length; i++)
	formulario.codigo.value="0"+formulario.codigo.value;
}

// --------------------------------------------------------------------------------------- //
// SCRIPT PARA VALIDAR SI SE ELIMINA REGISTROS
function validar_elimina() {
  x = confirm('¿Quieres eliminar Registro Actual?');
  return x;
}

function abrir_concepto(ban) {
		    formula = entrada.formula.value;
			cod = entrada.codigo.value;
			codigo = entrada.codigo.value;
			det = entrada.detalle.value;
			cta = entrada.cuenta.value;
			tipo = entrada.tipo.value;
			acu = entrada.acumula.value;
			//entrada.method="POST";
			//entrada.action="calculo_concepto_formula.php";
			//entrada.target="_blank";
			window.open("master_concepto_formula.php?f=1&ban="+ban+"&acu="+acu+"&tipo="+tipo+"&cta="+cta+"&det="+det+"&cod="+cod+"&codigo="+codigo+"&formula="+formula, "",  "toolbar=no, menubar=no, location=no, scrollbars=yes ,height=500 ,width=440, left=400, top=100, resizable=no");
		}
function abrir_constante(ban) {
		    formula = entrada.formula.value;
			cod = entrada.codigo.value;
			codigo = entrada.codigo.value;
			det = entrada.detalle.value;
			cta = entrada.cuenta.value;
			tipo = entrada.tipo.value;
			acu = entrada.acumula.value;
			//entrada.method="POST";
			//entrada.action="calculo_concepto_formula.php";
			//entrada.target="_blank";
			window.open("master_concepto_formula.php?f=2&ban="+ban+"&acu="+acu+"&tipo="+tipo+"&cta="+cta+"&det="+det+"&cod="+cod+"&codigo="+codigo+"&formula="+formula, "",  "toolbar=no, menubar=no, location=no, scrollbars=yes ,height=500 ,width=440, left=400, top=100, resizable=no");
		}
function abrir_ficha(ban) {
		    formula = entrada.formula.value;
			cod = entrada.codigo.value;
			codigo = entrada.codigo.value;
			det = entrada.detalle.value;
			cta = entrada.cuenta.value;
			tipo = entrada.tipo.value;
			acu = entrada.acumula.value;
			//entrada.method="POST";
			//entrada.action="calculo_concepto_formula.php";
			//entrada.target="_blank";
			window.open("master_concepto_formula.php?f=3&ban="+ban+"&acu="+acu+"&tipo="+tipo+"&cta="+cta+"&det="+det+"&cod="+cod+"&codigo="+codigo+"&formula="+formula, "",  "toolbar=no, menubar=no, location=no, scrollbars=yes ,height=500 ,width=440, left=400, top=100, resizable=no");
		}
function imgover(imgname,n){
		imgname.src = "images/arrow.gif"
	}
	function imgout(imgname,n){
		imgname.src = "images/blank.gif"
		mensaje.src = "images/myfondo_mensaje.jpg"
	}
    function goTo(targeturl, targetframe) {
        if (!targetframe) {
            targetframe = self;
        }
        if (targetframe) {
            targetframe.location.replace(targeturl);
        }
        return true;
}

// --------------------------------------------------------------------------------------- //
// SCRIPT PARA VALIDAR ENTRADA EN CAMPOS
function MM_findObj(n, d) {
	  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
		d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
	  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
	  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
	  if(!x && d.getElementById) x=d.getElementById(n); return x;
}
function MM_validateForm() { var i,p,q,nm,test,num,min,max,errors='',args=MM_validateForm.arguments;
	  for (i=0; i<(args.length-2); i+=3) { test=args[i+2]; val=MM_findObj(args[i]);
		if (val) { nm=val.name;	if ((val=val.value)!=""){ if (test.indexOf('isEmail')!=-1){p=val.indexOf('@');
		if (p<1 || p==(val.length-1)) errors+='- El Campo '+nm+' debe contener una dirección de correo válida.\n';
		} else if (test!='R') { num = parseFloat(val); if (isNaN(val))
		errors+='- El Campo '+nm+' debe contener.\n'; if (test.indexOf('inRange') != -1) { p=test.indexOf(':');
		min=test.substring(8,p); max=test.substring(p+1); if (num<min || max<num)
		errors+='- El Campo '+nm+' debe introducir un número entre '+min+' y '+max+'.\n'; } } }
		else if (test.charAt(0) == 'R') errors += ' El Campo '+nm+' es requerido.\n'; } }
		if (errors) alert(errors);
		document.MM_returnValue = (errors == '');
		document.entrada.codigo.focus()
}

// --------------------------------------------------------------------------------------- //
// SCRIPT PARA MOSTRAR HORA EN PANTALLA
function gettheDate() {
Todays = new Date();
TheDate = "" + Todays.getDate() +" / "+ (Todays.getMonth()+ 1) + " / " +
Todays.getYear()
document.clock.thedate.value = TheDate;
}
var timerID = null;
var timerRunning = false;
function stopclock (){
	if(timerRunning)
		clearTimeout(timerID);
	timerRunning = false;
}
function startclock () {
	stopclock();
	gettheDate()
	showtime();
}
function showtime () {
	var now = new Date();
	var hours = now.getHours();
	var minutes = now.getMinutes();
	var seconds = now.getSeconds()
	var timeValue = "" + ((hours >12) ? hours -12 :hours)
	timeValue += ((minutes < 10) ? ":0" : ":") + minutes
	timeValue += ((seconds < 10) ? ":0" : ":") + seconds
	timeValue += (hours >= 12) ? " P.M." : " A.M."
	document.clock.face.value = timeValue;
	timerID = setTimeout("showtime()",1000);
	timerRunning = true;
}

// --------------------------------------------------------------------------------------- //
// SCRIPT PARA MOSTRAR LINUX EN PUNTERO
var x,y
var step=20
var flag=0
var message="Linux "
message=message.split("")
var xpos=new Array()
for (i=0;i<=message.length-1;i++) {
	xpos[i]=-50
}
var ypos=new Array()
for (i=0;i<=message.length-1;i++) {
	ypos[i]=-50
}
function handlerMM(e){
	x = (document.layers) ? e.pageX : document.body.scrollLeft+event.clientX
	y = (document.layers) ? e.pageY : document.body.scrollTop+event.clientY
	flag=1
}
function makesnake() {
	if (flag==1 && document.all) {
    	for (i=message.length-1; i>=1; i--) {
   			xpos[i]=xpos[i-1]+step
			ypos[i]=ypos[i-1]
    	}
		xpos[0]=x+step
		ypos[0]=y
		for (i=0; i<message.length-1; i++) {
    		var thisspan = eval("span"+(i)+".style")
    		thisspan.posLeft=xpos[i]
			thisspan.posTop=ypos[i]
    	}
	}
	else if (flag==1 && document.layers) {
    	for (i=message.length-1; i>=1; i--) {
   			xpos[i]=xpos[i-1]+step
			ypos[i]=ypos[i-1]
    	}
		xpos[0]=x+step
		ypos[0]=y
		for (i=0; i<message.length-1; i++) {
    		var thisspan = eval("document.span"+i)
    		thisspan.left=xpos[i]
			thisspan.top=ypos[i]
    	}
	}
		var timer=setTimeout("makesnake()",30)
}

// --------------------------------------------------------------------------------------- //
// SCRIPT PARA VALIDAR VALORES EN CONDICION
function validar_valores(formulario) {
  checkStr1 = formulario.valor1.value;
  checkStr2 = formulario.valor2.value;
	if (checkStr1.length==0) {
		alert("Debe introducir VALOR 1...");
		formulario.valor1.focus();
		return (false);
	}
	if (checkStr2.length==0) {
		alert("Debe introducir VALOR 2...");
		formulario.valor2.focus();
		return (false);
	}
}
function start()
{
	var time = new Date()
	var date = time.getDate()
	var month = time.getMonth()
	var y = time.getYear();
	var year = y % 100;
	year += (year < 38) ? 2000 : 1900;
	year = year - ((year > 100) ? ((Math.floor(year/100))*100) : 0);
	var hours = time.getHours()
	year = ((year < 10) ? "0" : "") + year
	month = month + 1;
	month = ((month < 10) ? "0" : "") + month
	date = ((date < 10) ? "0" : "") + date
	hours = ((hours < 10) ? "0" : "") + hours
	var minutes = time.getMinutes()
	minutes = ((minutes < 10) ? "0" : "") + minutes
	var seconds = time.getSeconds()
	seconds = ((seconds < 10) ? "0" : "") + seconds
	var clock = hours + ":" + minutes + ":" + seconds
	var calendar = year + "-" + month + "-" + date
	document.calculator.digiwatch.value = clock
	document.calculator.datewatch.value = calendar
	timer = setTimeout("start()",1000)
}
function objetoAjax(){
        var xmlhttp=false;
        try {
                xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
        } catch (e) {
                try {
                   xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
                } catch (E) {
                        xmlhttp = false;
                }
        }

        if (!xmlhttp && typeof XMLHttpRequest!='undefined') {
                xmlhttp = new XMLHttpRequest();
        }
        return xmlhttp;
}

function MostrarConsulta(datos){
        divResultado = document.getElementById('resultado');
        ajax=objetoAjax();
        ajax.open("GET", datos);
        ajax.onreadystatechange=function() {
                if (ajax.readyState==4) {
                        divResultado.innerHTML = ajax.responseText
                }
        }
        ajax.send(null)
}
